Name:          sunflow
Version:       0.07.3
Release:       %mkrel 1
Summary:       Sunflow Rendering System
Group:         Development/Java
URL:           http://sunflow.sourceforge.net/
# svn co https://sunflow.svn.sourceforge.net/svnroot/sunflow/trunk sunflow
# tar czf sunflow-0.07.3-src-svn.tar.gz sunflow
Source0:       sunflow-0.07.3-src-svn.tar.gz
Patch0:        sunflow-0.07.3g-patch
Patch1:        sunflow-0.07.3-noclasspathinmanifest.patch
License:       MIT
BuildRequires: ant
BuildRequires: janino
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      janino
Requires:      jpackage-utils
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Sunflow is an open source rendering system for photo-realistic image synthesis.
It is written in Java and built around a flexible ray tracing core and
an extensible object-oriented design.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Sunflow Rendering System.

This package contains javadoc for %{name}.

%prep

%setup -q -n sunflow

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p1
%patch1 -p0

ln -sf $(build-classpath janino/janino) janino.jar

%build

ant

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -m 644 release/sunflow.jar %{buildroot}%{_javadir}/sunflow-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/sunflow-%{version}
cp -pr release/javadoc/* %{buildroot}%{_javadocdir}/sunflow-%{version}/
ln -s sunflow-%{version} %{buildroot}%{_javadocdir}/sunflow

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/sunflow-%{version}.jar
%{_javadir}/sunflow.jar
%doc CHANGELOG LICENSE README* examples

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/sunflow-%{version}
%{_javadocdir}/sunflow



%changelog

* Wed Jan 16 2013 dmorgan <dmorgan> 0.07.3-1.mga3
+ Revision: 388659
- Fix classpath

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - imported package sunflow

